
public class Class515_Sub1_Sub5_Sub2 extends Class515_Sub1_Sub5 implements Interface20 {

   Class571 aClass571_10851;
   boolean aBool10852;
   boolean aBool10853 = true;
   public Class209 aClass209_10854;


   public void method16782(Class469 var1) {
      this.aClass209_10854.method3556(var1, 1299102655);
   }

   boolean method13394(byte var1) {
      return false;
   }

   boolean method13451(byte var1) {
      return this.aBool10853;
   }

   public int method94() {
      return 615620455 * this.aClass209_10854.anInt2472;
   }

   public int method13404(byte var1) {
      return this.aClass209_10854.method3564(-46403500);
   }

   public int method13406(int var1) {
      return this.aClass209_10854.method3575(1788184877);
   }

   public Class515_Sub1_Sub5_Sub2(Class241 var1, Class545 var2, Class448 var3, Class445 var4, int var5, int var6, int var7, int var8, int var9, boolean var10, int var11, int var12, int var13, int var14, int var15) {
      super(var1, var7, var8, var9, var5, var6, var11, var12);
      this.aClass209_10854 = new Class209(var2, var3, var4, var13, var14, this.aByte8443, var6, this, var10, var15);
      this.aBool10852 = -22824303 * var4.anInt5544 != 0 && !var10;
      this.method13408(1, -867096999);
   }

   Class579 method13398(Class545 var1, byte var2) {
      Class568 var3 = this.aClass209_10854.method3558(var1, 2048, false, true, (byte)4);
      if(null == var3) {
         return null;
      } else {
         Class328 var4 = var1.method11491();
         var4.method5991(this.method10915());
         var4.method6005((float)this.aShort10434, 0.0F, (float)this.aShort10432);
         Class325 var5 = this.method10913();
         Class579 var6 = Class212.method3640(this.aBool10852, (byte)-7);
         int var7 = (int)var5.aClass326_4031.aFloat4036 >> 9;
         int var8 = (int)var5.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10854.method3559(var1, var3, var4, var7, var7, var8, var8, true, (byte)81);
         var3.method12069(var4, this.aClass89Array8446[0], 0);
         if(this.aClass209_10854.aClass528_2484 != null) {
            Class97 var9 = this.aClass209_10854.aClass528_2484.method11119();
            var1.method11711(var9);
         }

         this.aBool10853 = var3.i() || null != this.aClass209_10854.aClass528_2484;
         if(this.aClass571_10851 == null) {
            this.aClass571_10851 = Class225_Sub3.method13342((int)var5.aClass326_4031.aFloat4036, (int)var5.aClass326_4031.aFloat4037, (int)var5.aClass326_4031.aFloat4033, var3, (byte)32);
         } else {
            Class356_Sub3.method14399(this.aClass571_10851, (int)var5.aClass326_4031.aFloat4036, (int)var5.aClass326_4031.aFloat4037, (int)var5.aClass326_4031.aFloat4033, var3, -1095191490);
         }

         return var6;
      }
   }

   public int method91() {
      return 452908099 * this.aClass209_10854.anInt2471;
   }

   boolean method13391(Class545 var1, int var2, int var3, int var4) {
      Class568 var5 = this.aClass209_10854.method3558(var1, 131072, false, false, (byte)12);
      if(null == var5) {
         if(var4 == -1678923719) {
            ;
         }

         return false;
      } else {
         return var5.method12070(var2, var3, this.method10915(), false, 0);
      }
   }

   public int method99(int var1) {
      return this.aClass209_10854.anInt2470 * 1695748883;
   }

   public int method89(byte var1) {
      return 452908099 * this.aClass209_10854.anInt2471;
   }

   public int method87(int var1) {
      return 615620455 * this.aClass209_10854.anInt2472;
   }

   public void method88(byte var1) {}

   public boolean method86(int var1) {
      return this.aClass209_10854.method3560(-575180280);
   }

   public void method16783(Class469 var1, byte var2) {
      this.aClass209_10854.method3556(var1, -791304774);
   }

   public void method85(Class545 var1, int var2) {
      this.aClass209_10854.method3585(var1, 152252559);
   }

   public Class571 method13400(Class545 var1, int var2) {
      return this.aClass571_10851;
   }

   public int method40() {
      return this.aClass209_10854.anInt2470 * 1695748883;
   }

   public int method34() {
      return this.aClass209_10854.anInt2470 * 1695748883;
   }

   public Class571 method13416(Class545 var1) {
      return this.aClass571_10851;
   }

   public int method83() {
      return 452908099 * this.aClass209_10854.anInt2471;
   }

   boolean method13431() {
      return this.aBool10853;
   }

   public void method98() {}

   public int method93() {
      return 452908099 * this.aClass209_10854.anInt2471;
   }

   public int method13414() {
      return this.aClass209_10854.method3564(-1668338509);
   }

   public int method95() {
      return 615620455 * this.aClass209_10854.anInt2472;
   }

   public void method96() {}

   public boolean method100() {
      return this.aClass209_10854.method3560(-575180280);
   }

   boolean method13410() {
      return this.aBool10853;
   }

   public boolean method84() {
      return this.aClass209_10854.method3560(-575180280);
   }

   public void method16784(Class469 var1) {
      this.aClass209_10854.method3556(var1, 920617303);
   }

   public void method102(Class545 var1) {
      this.aClass209_10854.method3585(var1, 1476964668);
   }

   void method13402(Class545 var1, int var2) {
      Class568 var3 = this.aClass209_10854.method3558(var1, 262144, false, true, (byte)-35);
      if(null != var3) {
         if(var2 <= 631412612) {
            ;
         }

         Class328 var4 = this.method10915();
         Class325 var5 = this.method10913();
         int var6 = (int)var5.aClass326_4031.aFloat4036 >> 9;
         int var7 = (int)var5.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10854.method3559(var1, var3, var4, var6, var6, var7, var7, false, (byte)107);
      }

   }

   boolean method13426() {
      return false;
   }

   boolean method13409() {
      return false;
   }

   boolean method13452(Class545 var1, int var2, int var3) {
      Class568 var4 = this.aClass209_10854.method3558(var1, 131072, false, false, (byte)76);
      return null == var4?false:var4.method12070(var2, var3, this.method10915(), false, 0);
   }

   boolean method13411() {
      return this.aBool10853;
   }

   boolean method13393() {
      return this.aBool10853;
   }

   public int method29() {
      return this.aClass209_10854.anInt2470 * 1695748883;
   }

   public int method92() {
      return 452908099 * this.aClass209_10854.anInt2471;
   }

   public int method13415() {
      return this.aClass209_10854.method3564(-792582691);
   }

   public void method101(Class545 var1) {
      this.aClass209_10854.method3561(var1, 1695686211);
   }

   public int method13417() {
      return this.aClass209_10854.method3575(-1938609185);
   }

   public int method13418() {
      return this.aClass209_10854.method3575(-1840628820);
   }

   Class579 method13419(Class545 var1) {
      Class568 var2 = this.aClass209_10854.method3558(var1, 2048, false, true, (byte)6);
      if(null == var2) {
         return null;
      } else {
         Class328 var3 = var1.method11491();
         var3.method5991(this.method10915());
         var3.method6005((float)this.aShort10434, 0.0F, (float)this.aShort10432);
         Class325 var4 = this.method10913();
         Class579 var5 = Class212.method3640(this.aBool10852, (byte)-125);
         int var6 = (int)var4.aClass326_4031.aFloat4036 >> 9;
         int var7 = (int)var4.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10854.method3559(var1, var2, var3, var6, var6, var7, var7, true, (byte)37);
         var2.method12069(var3, this.aClass89Array8446[0], 0);
         if(this.aClass209_10854.aClass528_2484 != null) {
            Class97 var8 = this.aClass209_10854.aClass528_2484.method11119();
            var1.method11711(var8);
         }

         this.aBool10853 = var2.i() || null != this.aClass209_10854.aClass528_2484;
         if(this.aClass571_10851 == null) {
            this.aClass571_10851 = Class225_Sub3.method13342((int)var4.aClass326_4031.aFloat4036, (int)var4.aClass326_4031.aFloat4037, (int)var4.aClass326_4031.aFloat4033, var2, (byte)-62);
         } else {
            Class356_Sub3.method14399(this.aClass571_10851, (int)var4.aClass326_4031.aFloat4036, (int)var4.aClass326_4031.aFloat4037, (int)var4.aClass326_4031.aFloat4033, var2, -1214914840);
         }

         return var5;
      }
   }

   void method13412(Class545 var1) {
      Class568 var2 = this.aClass209_10854.method3558(var1, 262144, false, true, (byte)6);
      if(null != var2) {
         Class328 var3 = this.method10915();
         Class325 var4 = this.method10913();
         int var5 = (int)var4.aClass326_4031.aFloat4036 >> 9;
         int var6 = (int)var4.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10854.method3559(var1, var2, var3, var5, var5, var6, var6, false, (byte)29);
      }

   }

   void method13421(Class545 var1) {
      Class568 var2 = this.aClass209_10854.method3558(var1, 262144, false, true, (byte)-52);
      if(null != var2) {
         Class328 var3 = this.method10915();
         Class325 var4 = this.method10913();
         int var5 = (int)var4.aClass326_4031.aFloat4036 >> 9;
         int var6 = (int)var4.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10854.method3559(var1, var2, var3, var5, var5, var6, var6, false, (byte)94);
      }

   }

   void method13422(Class545 var1) {
      Class568 var2 = this.aClass209_10854.method3558(var1, 262144, false, true, (byte)-96);
      if(null != var2) {
         Class328 var3 = this.method10915();
         Class325 var4 = this.method10913();
         int var5 = (int)var4.aClass326_4031.aFloat4036 >> 9;
         int var6 = (int)var4.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10854.method3559(var1, var2, var3, var5, var5, var6, var6, false, (byte)118);
      }

   }

   void method13432(Class545 var1) {
      Class568 var2 = this.aClass209_10854.method3558(var1, 262144, false, true, (byte)-96);
      if(null != var2) {
         Class328 var3 = this.method10915();
         Class325 var4 = this.method10913();
         int var5 = (int)var4.aClass326_4031.aFloat4036 >> 9;
         int var6 = (int)var4.aClass326_4031.aFloat4033 >> 9;
         this.aClass209_10854.method3559(var1, var2, var3, var5, var5, var6, var6, false, (byte)105);
      }

   }

   public int method39() {
      return this.aClass209_10854.anInt2470 * 1695748883;
   }

   public void method90(Class545 var1, int var2) {
      this.aClass209_10854.method3561(var1, 1856577225);
   }

   public void method97() {}

   public void method16785(Class469 var1) {
      this.aClass209_10854.method3556(var1, 622326367);
   }

   static final void method16786(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 == -465570461) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class519.method10980(var3, var4, var0, (byte)0);
   }
}
